/**
 * file: koord.cpp
 *
 * Koord segdobjektum megvalstsa
 *
 */

#include "koord.h"
#include "memtrace.h"

/// Adott irnynak megfelelen lpve j pozcit ad
/// @param ir - irny
/// @return j pozci
Koord Koord::lep(Irany ir) const {
    switch(ir) {
        case fel:
            return Koord(i-1,j);
            break;

        case le:
            return Koord(i+1,j);
            break;

        case balra:
            return Koord(i,j-1);
            break;

        case jobbra:
            return Koord(i,j+1);
            break;
    }
    return *this;
}
